Skip to main content
GET
/
api
/
v1
/
checkout
/
generate-card-collection-url
cURL
# Using subscription ID
curl -X GET "https://api.metrifox.com/api/v1/checkout/generate-card-collection-url?subscription_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  -H "x-api-key: your-api-key"

# Using order ID
curl -X GET "https://api.metrifox.com/api/v1/checkout/generate-card-collection-url?order_id=f9e8d7c6-b5a4-3210-fedc-ba0987654321" \
  -H "x-api-key: your-api-key"
{
  "statusCode": 200,
  "message": "",
  "data": {
    "checkout_url": "https://app.metrifox.com/your-organization/checkout/premium_plan?order=a1b2c3d4&customer=cust_123&collect_card=true"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.metrifox.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

subscription_id
string<uuid>

The subscription ID to collect card details for. Either subscription_id or order_id is required.

order_id
string<uuid>

The order ID to collect card details for. Either subscription_id or order_id is required.

Response

Card collection URL generated successfully

statusCode
integer
Example:

200

message
string
Example:

""

data
object